UbuntuUpdates.org

Package "libgcrypt20"

Name: libgcrypt20

Description:

LGPL Crypto library - runtime library

Latest version: 1.8.1-4ubuntu1.2
Release: bionic (18.04)
Level: security
Repository: main
Homepage: http://directory.fsf.org/project/libgcrypt/

Links

Save this URL for the latest version of "libgcrypt20": https://www.ubuntuupdates.org/libgcrypt20


Download "libgcrypt20"


Other versions of "libgcrypt20" in Bionic

Repository Area Version
base main 1.8.1-4ubuntu1
updates main 1.8.1-4ubuntu1.2

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 1.8.1-4ubuntu1.2 2020-01-13 17:06:51 UTC

  libgcrypt20 (1.8.1-4ubuntu1.2) bionic-security; urgency=medium

  * SECURITY UPDATE: ECDSA timing attack
    - debian/patches/CVE-2019-13627-1.patch: add mitigation against timing
      attack in cipher/ecc-ecdsa.c, mpi/ec.c.
    - debian/patches/CVE-2019-13627-2.patch: fix use of nonce, use larger
      one in cipher/dsa-common.c, cipher/dsa.c, cipher/ecc-ecdsa.c,
      cipher/ecc-gost.c, cipher/pubkey-internal.h.
    - CVE-2019-13627

 -- Marc Deslauriers <email address hidden> Thu, 28 Nov 2019 13:53:53 -0500

Source diff to previous version
CVE-2019-13627 It was discovered that there was a ECDSA timing attack in the libgcrypt20 cryptographic library. Version affected: 1.8.4-5, 1.7.6-2+deb9u3, and 1.6.3

Version: 1.8.1-4ubuntu1.1 2018-06-19 16:07:00 UTC

  libgcrypt20 (1.8.1-4ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

 -- Marc Deslauriers <email address hidden> Mon, 18 Jun 2018 09:28:30 -0400

CVE-2018-0495 Libgcrypt before 1.7.10 and 1.8.x before 1.8.3 allows a memory-cache side-channel attack on ECDSA signatures that can be mitigated through the use of



About   -   Send Feedback to @ubuntu_updates